pskc_valueformat2str(3)

NAME
pskc_valueformat2str - API function

SYNOPSIS
#include <pskc.h>

const char * pskc_valueformat2str(pskc_valueformat valueformat);

ARGUMENTS

pskc_valueformat valueformat
    an pskc_valueformat enumeration type

DESCRIPTION
Convert pskc_valueformat to a string. For example, pskc_valueformat2str(PSKC_VALUEFORMAT_DECIMAL) will return "DECIMAL". The returned string must not be deallocated.

RETURNS
String corresponding to pskc_valueformat.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.